// Overwrite Firefox styling
input:required {
  box-shadow:none!important;
}
input:invalid {
  box-shadow:0 0 3px red;
}

// Set placeholder colour
input[type=text],
label[type=text],
input[type=email],
label[type=email],
label[type=submit] {
  width: 100%;

  &::-webkit-input-placeholder { /* Chrome/Opera/Safari */
    color: $bwt-medium;
  }
  &::-moz-placeholder { /* Firefox 19+ */
    color: $bwt-medium;
  }
  &:-ms-input-placeholder { /* IE 10+ */
    color: $bwt-medium;
  }
  &:-moz-placeholder { /* Firefox 18- */
    color: $bwt-medium;
  }
}

label,
.label {
  display: block;
  @include font-size(1);
  height: #{$leading-desktop + "px"};
  @include margin-bottom(0.25);
}

input[type=text],
input[type=email] {
  padding: 0 15px;
  @include font-size(1);
  height: #{2 * $leading-desktop + "px"};
  background-color: $bwt-light;
  border-radius: $radius-soft;
  border: none;
  margin-bottom: 0;
}

.button, 
.sv_complete_btn,
.button-small {
  color: white!important;
  background: $bwt-gradient;
  font-family: $custom-font-acumin;
  border: none;
  border-radius: $radius-round;
  height: #{2.5 * $leading-desktop + "px"};
  font-size: 20px;
  font-weight: bold;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  -webkit-appearance: none;
  transition: all 0.3s;
  width: 100%;
  padding: 10px 0 16px;
  text-decoration: none;
  display: block;

  &:hover {
    // color: white;
    cursor: pointer;
    background-color: lighten($bwt-red, 3%);
    -webkit-box-shadow: 0px 7px 26px 0px rgba(0,0,0,0.23);
    -moz-box-shadow: 0px 7px 26px 0px rgba(0,0,0,0.23);
    box-shadow: 0px 7px 26px 0px rgba(0,0,0,0.23);
    transform: scale3d(1.03, 1.03, 1.03);
  }

  &:active {
    background-color: darken($bwt-red, 10%);
    -webkit-box-shadow: 0px 2px 26px 0px rgba(0,0,0,0.23);
    -moz-box-shadow: 0px 2px 26px 0px rgba(0,0,0,0.23);
    box-shadow: 0px 2px 26px 0px rgba(0,0,0,0.23);
    transform: scale3d(1, 1, 1);
  }
}

.button-small {
  font-size: 18px;
  height: 48px;
  max-width: 180px;
  padding: 10px 0;
}

// Button spinner
.button.loading {
  background-color: lighten($bwt-red, 10%);
  position: relative;
}

.button.loading:after {
  content: "";
  position: absolute;
  border-radius: 100%;
  right: 20px;
  top: 45%;
  width: 0px;
  height: 0px;
  margin-top: -2px;
  border: 3px solid rgba(255,255,255,0.5);
  border-left-color: #FFF;
  border-top-color: #FFF;
  animation: spin .6s infinite linear, grow .1s forwards ease-out;
}


@keyframes spin {
  to {
    transform: rotate(359deg);
  }
}

@keyframes grow {
  to {
    width: 25px;
    height: 25px;
    margin-top: -8px;
    right: 20px;
  }
}

// Links that look like buttons
a.button, .sv_complete_btn {
  padding-top: 18px;
  min-width: 250px;
  @media screen and (min-width: #{ $max-width + 5 + 'em'}) {
    padding-top: 16px;
    max-width: 300px;
  }
}

// Form validation
#msgContent {
  max-width: 500px;
  margin: 0 auto;
  z-index: 10;
  text-align: center;
}

// Tweet button
.btn-tweet {
  @extend .button;
  background: #00aced;
  min-width: 0!important;
  max-width: 225px!important;
}

.btn-tweet:hover {
  background-color: lighten(#00aced, 3%);
  color: #fff!important;
}

.btn-tweet:active {
  background-color: darken(#00aced, 10%);
  color: #fff!important;
}

.btn-tweet:visited {
  color: #fff!important;
}

// I'm a...
.ima {
  list-style: none;
  margin: 0;
  padding: 0;

  input {
    margin-bottom: 0;
    margin-right: 10px;
  }

  label {
    display: inline;
  }

  li {
    margin: 0;
    padding: 15px;
    border: 2px solid $bwt-light;
    border-radius: $radius-soft;
    display: block;
    width: 100%;
  }
}

input[type="radio"] {
  margin-top: -5px;
  vertical-align: middle;
}

// Form wrap & responsive
.form-wrapper {
  width: 100%;
  margin: 0 auto;
}

.form-name,
.form-surname {
  width: 100%;
}

@media screen and (min-width: #{ $max-width + 5 + 'em'}) {
  .button {
    font-size: 24px;
  }
  .subscribe form, .form-triangle form {
    max-width: 400px; // Do I need this?
    margin: 0 auto;
  }
  .form-wrapper {
    max-width: 600px;
    margin: 0 auto;
  }

  .form-name,
  .form-surname {
    display: inline-block;
  }

  .form-name {
    width: 48%;
    margin-right: 2%;
  }

  .form-surname {
    width: 48%;
    float: right;
  }

  .ima li {
    display: inline-block;
    width: 48%;
    margin-right: 2%;

    &.radio-developer {
      display: inline-block;
      width: 48%;
      margin-top: 0;
      margin-left: 2%;
      margin-right: 0;
      float: right;
    }
  }
}